> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Subscription Info

> Gets all information about the users active subscription.



## OpenAPI

````yaml get /subscription/active/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /subscription/active/:
    get:
      tags:
        - subscription
      description: Gets all information about the users active subscription.
      operationId: Active Subscription Info
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActiveSubscription'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ActiveSubscription:
      type: object
      properties:
        subscription:
          $ref: '#/components/schemas/ActiveSubscriptionDetail'
    ActiveSubscriptionDetail:
      type: object
      properties:
        plan:
          allOf:
            - $ref: '#/components/schemas/PartialPlan'
          readOnly: true
          description: Current subscription plan.
        plan_expires_at:
          type: string
          format: date-time
          description: DateTime when current subscription plan will expire.
        total_credits:
          type: integer
          description: >-
            Total credits available in current subscription plan (Monthly or
            Annually).
        credits_used:
          type: integer
          description: Credits used in current subscription plan (Monthly or Annually).
        extra_credits_charges:
          type: integer
          description: Charges to consume overage credits on current subscription plan.
        total_custom_avatar_credits:
          type: integer
          description: >-
            Total custom avatar credits available in current subscription plan
            (Monthly or Annually).
        custom_avatar_credits_left:
          type: integer
          description: >-
            Custom avatar credits used in current subscription plan (Monthly or
            Annually).
        scheduled_subscription:
          allOf:
            - $ref: '#/components/schemas/PartialScheduledSubscription'
          readOnly: true
          description: Scheduled subscription plan.
      required:
        - credits_used
        - custom_avatar_credits_left
        - extra_credits_charges
        - plan
        - plan_expires_at
        - scheduled_subscription
        - total_credits
        - total_custom_avatar_credits
    PartialPlan:
      type: object
      properties:
        name:
          type: string
          description: Name of the plan.
        mode:
          allOf:
            - $ref: '#/components/schemas/ModeEnum'
          description: |-
            Mode of the plan.

            * `month` - month
            * `year` - year
        usage_based_allowed:
          type: boolean
          description: >-
            `True` if usage based billing is supported on this plan else
            `False`.
      required:
        - mode
        - name
        - usage_based_allowed
    PartialScheduledSubscription:
      type: object
      properties:
        plan:
          type: string
          description: Name of the plan.
        mode:
          allOf:
            - $ref: '#/components/schemas/ModeEnum'
          description: |-
            Mode of the plan.

            * `month` - month
            * `year` - year
        start_date:
          type: string
          format: date-time
          description: DateTime when this plan will be activated.
      required:
        - mode
        - plan
        - start_date
    ModeEnum:
      enum:
        - month
        - year
      type: string
      description: |-
        * `month` - month
        * `year` - year
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````